org.codehaus.groovy.runtime

## Class DefaultMethodKey

- java.lang.Object
- - org.codehaus.groovy.runtime.MethodKey
  - - org.codehaus.groovy.runtime.DefaultMethodKey

    public class DefaultMethodKey
    extends MethodKey

A default implementation of MethodKey

### Constructor Summary

Constructors
Constructor and Description
`DefaultMethodKey(java.lang.Class sender, java.lang.String name, java.lang.Class[] parameterTypes, boolean isCallToSuper)`

### Method Summary

Methods
`int` `getParameterCount()`
`java.lang.Class` `getParameterType(int index)`

### Methods inherited from class org.codehaus.groovy.runtime.MethodKey

`createCopy, createHashCode, equals, equals, getName, getParamterTypes, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DefaultMethodKey

    public DefaultMethodKey(java.lang.Class sender,
                    java.lang.String name,
                    java.lang.Class[] parameterTypes,
                    boolean isCallToSuper)

### Method Detail

#### getParameterCount

    public int getParameterCount()

Specified by:
  `getParameterCount` in class `MethodKey`

#### getParameterType

    public java.lang.Class getParameterType(int index)

Specified by:
  `getParameterType` in class `MethodKey`